// @ts-ignore
/* eslint-disable */
import request from '@/request/http'

/** 修改 修改UpdateVO中不为空的字段 PUT /fAiApplicationModel */
export async function update15(
  body: API.FAiApplicationModelUpdateVO,
  options?: { [key: string]: any }
) {
  return request<API.RFAiApplicationModel>(`/finyx/fAiApplicationModel`, {
    method: 'PUT',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 新增 POST /fAiApplicationModel */
export async function save15(
  body: API.FAiApplicationModelSaveVO,
  options?: { [key: string]: any }
) {
  return request<API.RFAiApplicationModel>(`/finyx/fAiApplicationModel`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 删除 DELETE /fAiApplicationModel */
export async function delete15(body: number[], options?: { [key: string]: any }) {
  return request<API.RBoolean>(`/finyx/fAiApplicationModel`, {
    method: 'DELETE',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 单体查询 单体查询 GET /fAiApplicationModel/${param0} */
export async function get14(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.get14Params,
  options?: { [key: string]: any }
) {
  const { id: param0, ...queryParams } = params
  return request<API.RFAiApplicationModelResultVO>(`/finyx/fAiApplicationModel/${param0}`, {
    method: 'GET',
    params: { ...queryParams },
    ...(options || {})
  })
}

/** 复制 POST /fAiApplicationModel/copy */
export async function copy14(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.copy14Params,
  options?: { [key: string]: any }
) {
  return request<API.RFAiApplicationModel>(`/finyx/fAiApplicationModel/copy`, {
    method: 'POST',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 查询单体详情 GET /fAiApplicationModel/detail */
export async function getDetail14(
  // 叠加生成的Param类型 (非body参数swagger默认没有生成对象)
  params: API.getDetail14Params,
  options?: { [key: string]: any }
) {
  return request<API.RFAiApplicationModelResultVO>(`/finyx/fAiApplicationModel/detail`, {
    method: 'GET',
    params: {
      ...params
    },
    ...(options || {})
  })
}

/** 根据Id批量查询 根据Id批量查询 POST /fAiApplicationModel/findByIds */
export async function findByIds14(body: number[], options?: { [key: string]: any }) {
  return request<API.RListFAiApplicationModelResultVO>(`/finyx/fAiApplicationModel/findByIds`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 列表查询 POST /fAiApplicationModel/list */
export async function list1(
  body: API.FAiApplicationModelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFAiApplicationModelResultVO>(`/finyx/fAiApplicationModel/list`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 分页列表查询 POST /fAiApplicationModel/page */
export async function page14(
  body: API.PageParamsFAiApplicationModelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RIPageFAiApplicationModelResultVO>(`/finyx/fAiApplicationModel/page`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}

/** 批量查询 批量查询 POST /fAiApplicationModel/query */
export async function query14(
  body: API.FAiApplicationModelPageQuery,
  options?: { [key: string]: any }
) {
  return request<API.RListFAiApplicationModelResultVO>(`/finyx/fAiApplicationModel/query`, {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json'
    },
    data: body,
    ...(options || {})
  })
}
